db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Bouschen (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (JDO-440) Upgrade dependencies in JDO *11 and *20 projects
Date Thu, 02 Nov 2006 22:12:18 GMT
     [ http://issues.apache.org/jira/browse/JDO-440?page=all ]

Michael Bouschen resolved JDO-440.
----------------------------------

    Resolution: Fixed

Checked in the patch (see revision 470545).

> Upgrade dependencies in JDO *11 and *20 projects
> ------------------------------------------------
>
>                 Key: JDO-440
>                 URL: http://issues.apache.org/jira/browse/JDO-440
>             Project: JDO
>          Issue Type: Task
>          Components: tck20, api20, tck11, api11, ri11, fostore20, runtime20, util20
>    Affects Versions: JDO 2 final
>            Reporter: Michael Bouschen
>         Assigned To: Michael Bouschen
>            Priority: Minor
>             Fix For: JDO 2 maintenance release 1
>
>         Attachments: JDO-440.patch
>
>
> Version 1.1 of the transaction-api (JTA) is now available through the glassfish maven
repository: (https://maven-repository.dev.java.net/nonav/repository)
> I propose to add this repository to the list of remote repositories and use the latest
JTA version in the JDO projects. 
> Please note, maven does resolve the dependency and successfully downloads the jar, but
I see the following message:
>  Cookie rejected: "$Version=0; JSESSIONID=4A3BD8EDDB8DCF96BAC41BCFEE4029A0; $Path=/servlets".
Illegal path attribute "/servlets". Path of origin: "/nonav/repository/javax.transaction/jars/transaction-api-1.1.jar"
> I double checked all the dependencies and propose to upgrade to the latest version:
> - use transaction api (version 1.1) from glassfish  maven repository
> - use servlet-api (version 2.5) from glassfish maven repository
> - derby 10.1.1.0 -> 10.2.1.6
> - log4j 1.2.8 -> 1.2.13
> - c3p0 0.9.0 -> 0.9.0.2
> - spring 1.2.5 -> 1.2.8
> - commons-pool 1.2 -> 1.3
> - commons-collections 3.1 -> 3.2
> - xerces 2.4.0 -> 2.8.1
> - xml-apis 1.0.b2 -> 1.3.03

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message